Subject: [PATCH] Remove debugging message from js.el

From: Matt Beshara <[email-masked]>
Date: Wed, 05 May 2021 20:57:57 +1000

Hello Emacs devs,
I was using JavaScript mode a while ago and noticed that the 
string “test” appeared in the echo area after performing certain 
commands.  I found that a debugging message had been left in js.el 
for quite a while.  This patch removes it.

Also, I would like to make it known that I have completed the FSF 
copyright assignment paperwork.  It shouldn’t be necessary for 
this trivial patch, but I plan on submitting more patches in 
future.

Thanks for your time,
Matt

From fac0e58c884024d586ad9b222269b4fcd6409365 Mon Sep 17 00:00:00 2001
From: Matt Beshara <[email-masked]>
Date: Wed, 7 Apr 2021 21:25:21 +1000
Subject: [PATCH] Remove unnecessary call to message

---
 lisp/progmodes/js.el | 1 -
 1 file changed, 1 deletion(-)

diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
index a942235f47..eeb85d9df0 100644
--- a/lisp/progmodes/js.el
+++ b/lisp/progmodes/js.el
@@ -1340,7 +1340,6 @@ LIMIT defaults to point."
 
 (defun js--end-of-defun-nested ()
   "Helper function for `js-end-of-defun'."
-  (message "test")
   (let* (pitem
          (this-end (save-excursion
                      (and (setq pitem (js--beginning-of-defun-nested))
-- 
2.24.3 (Apple Git-128)